package com.huimv.admin.controller.secondary;

import com.huimv.admin.service.secondary.IDpSjlrSyService;
import com.huimv.admin.utils.Result;
import com.huimv.admin.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.admin.controller.secondary
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/1/12 0012 11:19
 **/
@CrossOrigin
@RestController
@RequestMapping("/dpSjlrSyS")
public class DpSjlrSyController {

    @Autowired
    private IDpSjlrSyService dpSjlrSyService;

    @RequestMapping("/find")
    public Result find(){
        try {
            Map map = dpSjlrSyService.find();
            return new Result(ResultCode.SUCCESS,map);
        }catch (Exception e){
            return new Result(ResultCode.FAIL,null);
        }

    }

}
